Bug 202677 - CVE-2006-4019 Squirrelmail authenticated user variable overwriting
CVE-2006-4019 Squirrelmail authenticated user variable overwriting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
source=squirrelmail,reported=20060811...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 16:18 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 04:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-15 16:18:56 EDT
For FC6

+++ This bug was initially created as a clone of Bug #202196 +++

Squirrelmail authenticated user variable overwriting

A bug was fixed in squirrelmail 1.4.8 which could allow a logged in
user to overwrite random variables in compose.php with arbitrary data.
This may allow a user to read or write another users preferences or
mail attachments.

More information can be found here:
http://www.squirrelmail.org/security/issue/2006-08-11

-- Additional comment from updates@fedora.redhat.com on 2006-08-15 12:40 EST --
squirrelmail-1.4.8-1.fc5 has been pushed for fc5, which should resolve this
issue.  If these problems are still present in this version, then please make
note of it in this bug report.
Comment 1 Warren Togami 2006-08-15 17:48:51 EDT
1.4.8 was pushed for FC6 a few days ago, is there a different issue?
Comment 2 Mark J. Cox (Product Security) 2006-08-16 04:23:46 EDT
No, it means test2 didn't contain a fixed version.  Marking fixed "rawhide"

Note You need to log in before you can comment on or make changes to this bug.